## qubes-thunderbird 1.2.13

=== Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

RPMS_DIR=rpm/
VERSION := $(shell cat version)

help:
	@echo "Qubes addons main Makefile:" ;\
	    echo "make rpms                 <--- make all rpms and sign them";\
	    echo; \
	    echo "make clean                <--- clean all the binary files";\
	    echo "make update-repo-current  <-- copy newly generated rpms to qubes yum repo";\
	    echo "make update-repo-current-testing <-- same, but for -current-testing repo";\
	    echo "make update-repo-unstable <-- same, but to -testing repo";\
	    @exit 0;

rpms: rpms-vm

rpms-dom0:

rpms-vm:
	rpmbuild --define "_rpmdir rpm/" -bb rpm_spec/thunderbird-qubes.spec
	rpm --addsign rpm/x86_64/thunderbird-qubes*$(VERSION)*.rpm

clean:
	rm -f install.rdf

update-repo-current:
	for vmrepo in ../yum/current-release/current/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/thunderbird-qubes*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

update-repo-current-testing:
	for vmrepo in ../yum/current-release/current-testing/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/thunderbird-qubes*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

update-repo-unstable:
	for vmrepo in ../yum/current-release/unstable/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/thunderbird-qubes*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

update-repo-template:
	for vmrepo in ../template-builder/yum_repo_qubes/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/thunderbird-qubes*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
	done

install.rdf: install.rdf.template version
	sed -e "s,<em:version>.*</em:version>,<em:version>`cat version`</em:version>," install.rdf.template > install.rdf

install-vm:
	install -d $(DESTDIR)/$(EXTDIR)
	install -t $(DESTDIR)/$(EXTDIR) chrome.manifest install.rdf
	install -d $(DESTDIR)/$(EXTDIR)/chrome/locale/en-US
	install -t $(DESTDIR)/$(EXTDIR)/chrome/locale/en-US chrome/locale/en-US/qubesattachment.dtd
	install -d $(DESTDIR)/$(EXTDIR)/chrome/content
	install -t $(DESTDIR)/$(EXTDIR)/chrome/content chrome/content/options.xul chrome/content/qubesattachment.js chrome/content/msgHdrViewOverlay.xul
	install -d $(DESTDIR)/$(EXTDIR)/chrome/skin
	install -t $(DESTDIR)/$(EXTDIR)/chrome/skin chrome/skin/qubesattachment.css
	install -d $(DESTDIR)/$(EXTDIR)/defaults/preferences
	install -t $(DESTDIR)/$(EXTDIR)/defaults/preferences defaults/preferences/prefs.js

=== debian/changelog ===
qubes-thunderbird (1.2.13-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 22 Mar 2019 00:15:49 +0100

qubes-thunderbird (1.2.13-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually, simplify packaging
  * travis: update Fedora and Debian versions
  * debian: replace deprecated dh_clean --keep with dh_prep
  * debian: drop autotools from debian/rules

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 22 Mar 2019 00:15:49 +0100

qubes-thunderbird (1.2.12-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * Make compatible with Thunderbird 60

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 09 Aug 2018 03:42:28 +0200

qubes-thunderbird (1.2.11-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * Open attachments in DispVMs from message windows

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Jul 2018 23:46:50 +0200

qubes-thunderbird (1.2.10-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * spec.in: add changelog placeholder
  * spec.in: change to 'noarch' package

  [ Marek Marczykowski-Górecki ]
  * travis: update distributions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 04 May 2018 00:32:45 +0200

qubes-thunderbird (1.2.9-1) unstable; urgency=medium

  * travis: initial version
  * travis: drop debootstrap workaround

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jun 2017 23:18:13 +0200

qubes-thunderbird (1.2.8-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * gitignore pkgs

  [ Lambono ]
  * Fix UTF-8 in attachment file names

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 22 Feb 2016 19:49:22 +0100

qubes-thunderbird (1.2.7-1) wheezy; urgency=medium

  * debian: update 'debian' symlink
  * debian: update changelog for 1.2.6-1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Apr 2015 15:02:34 +0200

qubes-thunderbird (1.2.6-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * Added a Debian package
  * debian: Added deb/ to .gitignore
  * Use DEBIAN_PARSER variable provided by builder

  [ Marek Marczykowski-Górecki ]
  * version 1.2.6
  * debian: update 'debian' symlink

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Apr 2015 03:21:14 +0200

qubes-thunderbird (1.2.5-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Tue, 25 Feb 2015 00:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DESTDIR=$(shell readlink -m .)/debian/qubes-thunderbird
export EXTDIR= /usr/lib/mozilla/extensions/{3550f703-e582-4d05-9a08-453d09bdfdc6}/qubes-attachment@qubes-os.org

%:
	dh $@

override_dh_auto_build:
	dh_prep
	make install.rdf

override_dh_auto_install:
	make install-vm

## qubes-thunderbird 2.0.3

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	rpm --addsign rpm/x86_64/thunderbird-qubes*$(VERSION)*.rpm
 
 clean:
-	rm -f install.rdf
+	rm -f manifest.json
 
 update-repo-current:
 	for vmrepo in ../yum/current-release/current/vm/* ; do \
@@ -67,17 +67,26 @@
 		ln -f $(RPMS_DIR)/x86_64/thunderbird-qubes*$(VERSION)*$$dist*.rpm $$vmrepo/rpm/ ;\
 	done
 
-install.rdf: install.rdf.template version
-	sed -e "s,<em:version>.*</em:version>,<em:version>`cat version`</em:version>," install.rdf.template > install.rdf
+manifest.json: manifest.json.template version
+	sed -e "s,@VERSION,`cat version`," manifest.json.template > manifest.json
 
 install-vm:
 	install -d $(DESTDIR)/$(EXTDIR)
-	install -t $(DESTDIR)/$(EXTDIR) chrome.manifest install.rdf
+	install -m 0644 -t $(DESTDIR)/$(EXTDIR) \
+		chrome.manifest \
+		manifest.json
 	install -d $(DESTDIR)/$(EXTDIR)/chrome/locale/en-US
-	install -t $(DESTDIR)/$(EXTDIR)/chrome/locale/en-US chrome/locale/en-US/qubesattachment.dtd
+	install -m 0644 -t $(DESTDIR)/$(EXTDIR)/chrome/locale/en-US \
+		chrome/locale/en-US/qubesattachment.dtd
 	install -d $(DESTDIR)/$(EXTDIR)/chrome/content
-	install -t $(DESTDIR)/$(EXTDIR)/chrome/content chrome/content/options.xul chrome/content/qubesattachment.js chrome/content/msgHdrViewOverlay.xul
+	install -m 0644 -t $(DESTDIR)/$(EXTDIR)/chrome/content \
+		chrome/content/options.xul \
+		chrome/content/qubesattachment.js \
+		chrome/content/messenger.xul \
+		chrome/content/preferences.js
 	install -d $(DESTDIR)/$(EXTDIR)/chrome/skin
-	install -t $(DESTDIR)/$(EXTDIR)/chrome/skin chrome/skin/qubesattachment.css
+	install -m 0644 -t $(DESTDIR)/$(EXTDIR)/chrome/skin \
+		chrome/skin/qubesattachment.css
 	install -d $(DESTDIR)/$(EXTDIR)/defaults/preferences
-	install -t $(DESTDIR)/$(EXTDIR)/defaults/preferences defaults/preferences/prefs.js
+	install -m 0644 -t $(DESTDIR)/$(EXTDIR)/defaults/preferences \
+		defaults/preferences/prefs.js

=== debian/changelog ===
qubes-thunderbird (2.0.3-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 02 Dec 2019 18:11:23 +0100

qubes-thunderbird (2.0.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Disable CentOS package build
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Install files as non-executable, break long lines in Makefile
  * Re-enable build for Debian
  * travis: update Fedora versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 02 Dec 2019 18:11:23 +0100

qubes-thunderbird (2.0.2-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * Make sure that preferences.js is packaged

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Oct 2019 23:51:44 +0200

qubes-thunderbird (2.0.1-1) unstable; urgency=medium

  [ M. Vefa Bicakci ]
  * Fix preference window for Thunderbird 68

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Oct 2019 22:10:01 +0200

qubes-thunderbird (2.0.0-1) unstable; urgency=medium

  * debian: bump requirements to TB 68+
  * Disable Debian package build
  * travis: switch to xenial, drop R3.2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Sep 2019 20:57:57 +0200

qubes-thunderbird (1.2.14-1) unstable; urgency=medium

  * fixed for Thunderbird 68.0+

 -- Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com>  Mon, 23 Sep 2019 22:45:10 +0100

## qubes-thunderbird 2.0.4

=== debian/changelog ===
qubes-thunderbird (2.0.4-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 04 Apr 2020 05:16:52 +0200

qubes-thunderbird (2.0.4-1) unstable; urgency=medium

  [ Foppe ]
  * Update .travis.yml: fc31 dom0, bionic, repo 4.1

  [ Frédéric Pierret (fepitre) ]
  * Re-enable build for CentOS 8

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 04 Apr 2020 05:16:52 +0200

## qubes-thunderbird 2.0.5

=== debian/changelog ===
qubes-thunderbird (2.0.5-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 24 Jun 2020 15:47:48 +0200

qubes-thunderbird (2.0.5-1) unstable; urgency=medium

  [ MSathieu ]
  * Replace path separators in attachment names

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 Jun 2020 15:47:48 +0200

=== debian/control ===
Source: qubes-thunderbird
Section: admin
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends: debhelper (>= 9~), quilt
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: qubes-thunderbird
Section: admin
Architecture: any
Depends: thunderbird (>= 68.0), ${misc:Depends}
Description: The Qubes extension for Thunderbird

## qubes-thunderbird 2.0.6

=== debian/changelog ===
qubes-thunderbird (2.0.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 09 May 2021 17:48:01 +0200

qubes-thunderbird (2.0.6-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis
  * Add .gitlab-ci.yml
  * spec: add BR make

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 May 2021 17:48:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_build:
 	dh_prep
-	make install.rdf
+	make manifest.json
 
 override_dh_auto_install:
 	make install-vm
